Page MenuHomePhabricator

Identify error messages requiring rewriting for the Offline Library feature
Closed, ResolvedPublic

Description

Exploratory testing of error messages encountered within the Offline library

Error messages should be updated to more precisely explain bugs that occur related the Offline library, with the inclusion where possible of a suggested solution rather than the current “An unknown error occurred” text which is being shown in many different scenarios.

Potential error scenarios

The following are some example places where errors were encountered during usability testing, note that these may no longer be occurring in the latest version of the app.

A. Opening Main page of a downloaded pack
  1. Open the Offline library and tap through to the details screen of a downloaded article pack
  2. Tap on the 'Main page' button in the details screen

Error: Some users encountered “An unknown error occurred” snackbar message.

B. Using the app whilst downloading an article pack with large file-size
  1. Start downloading an couple of article packs with a large file size
  2. Continue to try using the app as packs are being downloaded.

Error: Some users encountered “An unknown error occurred” snackbar message.

Event Timeline

RHo created this task.Oct 26 2017, 2:31 PM
RHo updated the task description. (Show Details)Nov 6 2017, 6:32 PM
RHo renamed this task from Improve error messaging for the Offline Library feature to Identify error messages requiring rewriting for the Offline Library feature.Nov 29 2017, 5:54 PM
ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me on 2.7.224-alpha-2018-01-10

Dbrant closed this task as Resolved.Feb 1 2018, 6:32 PM
Dbrant claimed this task.